Original post

With Emacs compiled with module support one can install emacs-libvterm.

Vim-slime might be of interest for coders who use terminal multiplexers.

emacs-libvterm (blog Post)
vim-slime (Wiki page)